%define         prefix /usr

Name:           tlsinterposer
Version:        master
Release:        2%{?dist}
Summary:        OpenSSL library interposer

Prefix:         %{prefix}
Group:          Immerda Admin Team
License:        Public Domain
URL:            https://github.com/Netfuture/tlsinterposer
Source0:        tlsinterposer.zip
Patch:          0001-tlsinterposer-centos-ssl-version.patch

BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  openssl-devel 
Requires:       openssl

%description
OpenSSL library interposer to get software to use more secure TLS protocol variants.


%prep
%setup -q
%patch


%build
make %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT PREFIX=%{prefix}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%{prefix}/lib/libtlsinterposer.so*

%changelog
